Browse Source

Fixed deprecated autoprefixer config warning when running build tasks

no issue

Passing browser options directly into `autoprefixer()` has been deprecated in favour of general browserslist configuration in `package.json` or a `.browserslistrc` config file

- moved autoprefixer browsers list into `browserslist` config in `package.json`
- updated `autoprefixer` version
master
Kevin Ansfield 8 months ago
parent
commit
7ad20d1325
4 changed files with 1051 additions and 356 deletions
  1. +1
    -1
      assets/built/casper.js.map
  2. +1
    -1
      gulpfile.js
  3. +5
    -2
      package.json
  4. +1044
    -352
      yarn.lock

+ 1
- 1
assets/built/casper.js.map
File diff suppressed because it is too large
View File


+ 1
- 1
gulpfile.js View File

@@ -43,7 +43,7 @@ function css(done) {
easyimport,
customProperties({preserve: false}),
colorFunction(),
autoprefixer({browsers: ['last 2 versions']}),
autoprefixer(),
cssnano()
];



+ 5
- 2
package.json View File

@@ -46,7 +46,7 @@
"contributors": "https://github.com/TryGhost/Casper/graphs/contributors",
"devDependencies": {
"@tryghost/release-utils": "0.3.2",
"autoprefixer": "9.6.1",
"autoprefixer": "9.6.5",
"beeper": "2.0.0",
"cssnano": "4.1.10",
"gscan": "3.0.0",
@@ -83,5 +83,8 @@
"width": 2000
}
}
}
},
"browserslist": [
"last 2 versions"
]
}

+ 1044
- 352
yarn.lock
File diff suppressed because it is too large
View File


Loading…
Cancel
Save